Get Underlying Exch Token
Request to be POSTed to uri : /NorenWClientAPI/GetUnderlyingExchToken
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| exch* | Exchange | |
| token* | Token |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetUnderlyingExchToken' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","token":"22", "exch":"NSE"}'
Response Details :
Response data will have below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | success or failure indication. | |
| request_time | This will be present only in a successful response. | |
| und_exch | Underlying Exch seg | |
| und_tk | Underlying Token | |
| emsg | This will be present only in case of errors. |
Sample Success Response :
{
"stat":"Ok",
"request_time":"01122021110443",
"und_exch":"NSE",
"und_tk":"26009"
}
Sample Failure Response :
{
"stat":"Not_Ok",
"emsg":"Invalid Input : Invalid Scrip token/exch"
}